<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="0b408f55df46c77b" weblate-flags="read-only, safe-html, strict-same">
        <source>= `value` JSON documents are represented in memory as instances of &lt;&lt;ref_value&gt;&gt;: a {req_Regular} type which satisfies {req_DefaultConstructible}, {req_CopyConstructible}, {req_CopyAssignable}, {req_MoveConstructible}, {req_MoveAssignable}, and many of the requirements of allocator-aware containers. It is implemented as a https://en.wikipedia.org/wiki/Tagged_union[__variant__] internally, and can dynamically store any of the six defined JSON value types:</source>
        <target state="translated">= `value` JSON documents are represented in memory as instances of &lt;&lt;ref_value&gt;&gt;: a {req_Regular} type which satisfies {req_DefaultConstructible}, {req_CopyConstructible}, {req_CopyAssignable}, {req_MoveConstructible}, {req_MoveAssignable}, and many of the requirements of allocator-aware containers. It is implemented as a https://en.wikipedia.org/wiki/Tagged_union[__variant__] internally, and can dynamically store any of the six defined JSON value types:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2023fc26f068044d" weblate-flags="read-only, safe-html, strict-same">
        <source>**null**: A</source>
        <target state="translated">**null**: A</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9730a2a2e87025a1" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/utility/variant/monostate[__monostate__] value, equivalent to `nullptr`.</source>
        <target state="translated">https://en.cppreference.com/w/cpp/utility/variant/monostate[__monostate__] value, equivalent to `nullptr`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a2d2bc0db6e3fd70" weblate-flags="read-only, safe-html, strict-same">
        <source>**boolean**: A boolean: either `true` or `false`.</source>
        <target state="translated">**boolean**: A boolean: either `true` or `false`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4f61ec376e3d198f" weblate-flags="read-only, safe-html, strict-same">
        <source>**number**: An integral or floating point value.</source>
        <target state="translated">**number**: An integral or floating point value.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="27ec6e22c13f391c" weblate-flags="read-only, safe-html, strict-same">
        <source>**string**: A sequence of zero or more Unicode characters,</source>
        <target state="translated">**string**: A sequence of zero or more Unicode characters,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="404ddc7f3e87bea5" weblate-flags="read-only, safe-html, strict-same">
        <source>similar to {std_string}.</source>
        <target state="translated">similar to {std_string}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3db0b80dcffd4f2b" weblate-flags="read-only, safe-html, strict-same">
        <source>**array**: An ordered list of values, like {std_vector}.</source>
        <target state="translated">**array**: An ordered list of values, like {std_vector}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">32</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2a0ab28bde4cfae2" weblate-flags="read-only, safe-html, strict-same">
        <source>**object**: A collection of name/value pairs, also known as an</source>
        <target state="translated">**object**: A collection of name/value pairs, also known as an</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9a30c2b41cba201e" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.wikipedia.org/wiki/Associative_array[__associative array__].</source>
        <target state="translated">https://en.wikipedia.org/wiki/Associative_array[__associative array__].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">35</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8e0eb2187149195d" weblate-flags="read-only, safe-html, strict-same">
        <source>Working With Values</source>
        <target state="translated">Working With Values</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">37</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="102cf168333167ba" weblate-flags="read-only, safe-html, strict-same">
        <source>A &lt;&lt;ref_value&gt;&gt; constructed from `nullptr` or default constructed represents a null JSON element:</source>
        <target state="translated">A &lt;&lt;ref_value&gt;&gt; constructed from `nullptr` or default constructed represents a null JSON element:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bf7cef8b3aa7d28c" weblate-flags="read-only, safe-html, strict-same">
        <source>The member function &lt;&lt;ref_value_kind,`value::kind`&gt;&gt; may be used to query the kind stored in the value. Alternatively, member functions like &lt;&lt;ref_value_is_object,`value::is_object`&gt;&gt; &lt;&lt;ref_value_is_number,`value::is_number`&gt;&gt; may be used to check whether or not the value is a particular kind:</source>
        <target state="translated">The member function &lt;&lt;ref_value_kind,`value::kind`&gt;&gt; may be used to query the kind stored in the value. Alternatively, member functions like &lt;&lt;ref_value_is_object,`value::is_object`&gt;&gt; &lt;&lt;ref_value_is_number,`value::is_number`&gt;&gt; may be used to check whether or not the value is a particular kind:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">46</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ac5ec6da9a682c7c" weblate-flags="read-only, safe-html, strict-same">
        <source>Functions like &lt;&lt;ref_value_if_object,`value::if_object`&gt;&gt; actually return a pointer to the object if the value is an object, otherwise they return null. This allows them to be used both in boolean contexts as above, and in assignments or conditional expressions to capture the value of the pointer:</source>
        <target state="translated">Functions like &lt;&lt;ref_value_if_object,`value::if_object`&gt;&gt; actually return a pointer to the object if the value is an object, otherwise they return null. This allows them to be used both in boolean contexts as above, and in assignments or conditional expressions to capture the value of the pointer:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e944ffa74faf49c2" weblate-flags="read-only, safe-html, strict-same">
        <source>After a &lt;&lt;ref_value&gt;&gt; is constructed, its kind can change depending on what is assigned to it, or by calling functions such as &lt;&lt;ref_value_emplace_array,`value::emplace_array`&gt;&gt; or &lt;&lt;ref_value_emplace_bool,`value::emplace_bool`&gt;&gt;. If the assignment is successful, in other words it completes without any exceptions then the value is replaced. Otherwise, the value is unchanged. All operations which can fail to modify a value offer the strong exception safety guarantee.</source>
        <target state="translated">After a &lt;&lt;ref_value&gt;&gt; is constructed, its kind can change depending on what is assigned to it, or by calling functions such as &lt;&lt;ref_value_emplace_array,`value::emplace_array`&gt;&gt; or &lt;&lt;ref_value_emplace_bool,`value::emplace_bool`&gt;&gt;. If the assignment is successful, in other words it completes without any exceptions then the value is replaced. Otherwise, the value is unchanged. All operations which can fail to modify a value offer the strong exception safety guarantee.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">67</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="963ba594b9b6725d" weblate-flags="read-only, safe-html, strict-same">
        <source>The following table shows all of the ways to determine and access the contents of a &lt;&lt;ref_value&gt;&gt;:</source>
        <target state="translated">The following table shows all of the ways to determine and access the contents of a &lt;&lt;ref_value&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">80</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fe6daab62d8c3034" weblate-flags="read-only, safe-html, strict-same">
        <source>.&lt;&lt;ref_value&gt;&gt; Accessors [%autowidth,cols=8] |=== |Kind |Representation |Emplacement |Kind Test |Pointer Access |`result` Access |Checked Access |Unchecked Access</source>
        <target state="translated">.&lt;&lt;ref_value&gt;&gt; Accessors [%autowidth,cols=8] |=== |Kind |Representation |Emplacement |Kind Test |Pointer Access |`result` Access |Checked Access |Unchecked Access</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">83</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::array`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::array`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3f4ba464e8944106" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c9f5333b79d6b7db" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd4117038dffa2e2" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3c5df3851938d481" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e2454c717e84a13" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f3761e5bfe3efda8" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::object`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::object`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ae56f19b1bc032fd" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="146b78a0fa043fa9" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c5f5696778928d3" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e38276f3718f7ace" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f086353a9707c269" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="20bcc21c2a099ef5" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::string`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::string`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eb1b9bdb6c9a24ba" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fca700c6ebdafdd3" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c1ab9a01be68d7e" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c61c771704a3c8de" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e61a4e1c91b797b4" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef09a027d66a0eaa" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d6e7c0e9f554da56" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/integer[`std::int64_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/integer[`std::int64_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63ecf8411fc5497b" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b473019383d566ce" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="553c7f148b79c562" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a6a47c1980f55455" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="22b6fa3b8f341bab" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bfce79fcd3d1d6a3" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_int64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_int64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f3be6d5cc69cf0a9" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/integer[`std::uint64_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/integer[`std::uint64_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3bd8a860b7b19fcc" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e2208c2b09a91ecb" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="47b4c259b350bb74" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="832a654804daad86" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="573a658db78251f4" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f324d33d3818b7f5" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_uint64&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_uint64&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4cd091d4834a82f5" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/types[`double`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/types[`double`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="16c3c260990bd831" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50d58cee4e14803f" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="94062a2c5b9d270b" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fed132ac2f468f5b" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="308ff6cbf1dd8440" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71da961852d05361" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_double&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_double&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f9d2e36ca600342" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/types[`bool`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/types[`bool`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7ee6dc8690918dab" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fa039c709ac7e59d" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="85a22652a9688930" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_if_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_if_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="228ee628cc5eab94" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_try_as_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_try_as_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="74f4d45dadb78829" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_as_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_as_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="636044a965a83468" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_get_bool&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_get_bool&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":95" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::null`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::null`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e7809943f21c6e02" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/language/nullptr[`std::nullptr_t`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/language/nullptr[`std::nullptr_t`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0542ec1dbf5fe61e" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_emplace_null&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_emplace_null&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d6bdc7a3579876a9" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_is_null&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_value_is_null&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">95</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8f1bcaf43c74d14c" weblate-flags="read-only, safe-html, strict-same">
        <source>^|&amp;mdash; |&lt;&lt;ref_value_try_as_null&gt;&gt; ^|&amp;mdash; ^|&amp;mdash;</source>
        <target state="translated">^|&amp;mdash; |&lt;&lt;ref_value_try_as_null&gt;&gt; ^|&amp;mdash; ^|&amp;mdash;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">162</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="301bdbc8b0a1d868" weblate-flags="read-only, safe-html, strict-same">
        <source>The emplace members of &lt;&lt;ref_value&gt;&gt; return a typed reference to the underlying representation. For example, the call to &lt;&lt;ref_value_emplace_string,`value::emplace_string`&gt;&gt; in the previous example returns a &lt;&lt;ref_string,`string&amp;`&gt;&gt;. This table shows the underlying type for each kind:</source>
        <target state="translated">The emplace members of &lt;&lt;ref_value&gt;&gt; return a typed reference to the underlying representation. For example, the call to &lt;&lt;ref_value_emplace_string,`value::emplace_string`&gt;&gt; in the previous example returns a &lt;&lt;ref_string,`string&amp;`&gt;&gt;. This table shows the underlying type for each kind:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">169</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="77157a47e3ea352b" weblate-flags="read-only, safe-html, strict-same">
        <source>Kind</source>
        <target state="translated">Kind</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4260caf7dbb163c2" weblate-flags="read-only, safe-html, strict-same">
        <source>Type</source>
        <target state="translated">Type</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="read-only, safe-html, strict-same">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":175" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::object`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::object`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":175" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_object&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2fe898d6b9e82191" weblate-flags="read-only, safe-html, strict-same">
        <source>An associative array of string keys mapping to &lt;&lt;ref_value&gt;&gt; elements with an</source>
        <target state="translated">An associative array of string keys mapping to &lt;&lt;ref_value&gt;&gt; elements with an</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">175</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75f35d61788880a3" weblate-flags="read-only, safe-html, strict-same">
        <source>interface similar to {std_unordered_map}, that remembers insertion order.</source>
        <target state="translated">interface similar to {std_unordered_map}, that remembers insertion order.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">181</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":183" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::array`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::array`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":183" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_array&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_array&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91d67c6684c70bd6" weblate-flags="read-only, safe-html, strict-same">
        <source>An ordered list of &lt;&lt;ref_value&gt;&gt; elements with an interface similar to</source>
        <target state="translated">An ordered list of &lt;&lt;ref_value&gt;&gt; elements with an interface similar to</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">183</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="afd044c67428b70d" weblate-flags="read-only, safe-html, strict-same">
        <source>{std_vector}.</source>
        <target state="translated">{std_vector}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">186</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":188" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::string`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::string`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":188" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c1d7332fba20488" weblate-flags="read-only, safe-html, strict-same">
        <source>A https://en.wikipedia.org/wiki/UTF-8[__UTF-8__] encoded</source>
        <target state="translated">A https://en.wikipedia.org/wiki/UTF-8[__UTF-8__] encoded</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">188</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9272fe13a59ed646" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.wikipedia.org/wiki/Unicode[Unicode] https://en.wikipedia.org/wiki/String_(computer_science)[string] of characters with an interface similar to {std_string}.</source>
        <target state="translated">https://en.wikipedia.org/wiki/Unicode[Unicode] https://en.wikipedia.org/wiki/String_(computer_science)[string] of characters with an interface similar to {std_string}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">191</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::int64`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="43549de42f90ba46" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::int64_t`</source>
        <target state="translated">`std::int64_t`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e228b9803004838c" weblate-flags="read-only, safe-html, strict-same">
        <source>A 64 bit signed integer.</source>
        <target state="translated">A 64 bit signed integer.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::uint64`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bcb8654c8a337c85" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::uint64_t`</source>
        <target state="translated">`std::uint64_t`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60d1afa6b031decb" weblate-flags="read-only, safe-html, strict-same">
        <source>A 64 bit unsigned integer.</source>
        <target state="translated">A 64 bit unsigned integer.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::double_`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d9c92ea20c189b2" weblate-flags="read-only, safe-html, strict-same">
        <source>`double`</source>
        <target state="translated">`double`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d09b7cb0fcc821e3" weblate-flags="read-only, safe-html, strict-same">
        <source>A `double` holding a floating-point value.</source>
        <target state="translated">A `double` holding a floating-point value.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::bool_`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="670c936511c52acf" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/keyword/bool[`bool`]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/keyword/bool[`bool`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="71e2e8849295d57a" weblate-flags="read-only, safe-html, strict-same">
        <source>A `bool` holding `true` or `false`.</source>
        <target state="translated">A `bool` holding `true` or `false`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":195" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_kind,`kind::null`&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_kind,`kind::null`&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">195</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b0026d33c1ca1280" weblate-flags="read-only, safe-html, strict-same">
        <source>^| &amp;mdash; | A monostate value representing null. |===</source>
        <target state="translated">^| &amp;mdash; | A monostate value representing null. |===</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">212</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d38232e45fd29f4f" weblate-flags="read-only, safe-html, strict-same">
        <source>The return value from emplace can be used to perform assignment or to capture a reference to the underlying element for later inspection or modification:</source>
        <target state="translated">The return value from emplace can be used to perform assignment or to capture a reference to the underlying element for later inspection or modification:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">216</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d0c90f58699c0d4" weblate-flags="read-only, safe-html, strict-same">
        <source>If the &lt;&lt;ref_kind&gt;&gt; of a &lt;&lt;ref_value&gt;&gt; is known, functions such as &lt;&lt;ref_value_as_bool,`value::as_bool`&gt;&gt; or &lt;&lt;ref_value_as_string,`value::as_string`&gt;&gt; may be used to obtain a reference to the underlying representation without changing the existing value:</source>
        <target state="translated">If the &lt;&lt;ref_kind&gt;&gt; of a &lt;&lt;ref_value&gt;&gt; is known, functions such as &lt;&lt;ref_value_as_bool,`value::as_bool`&gt;&gt; or &lt;&lt;ref_value_as_string,`value::as_string`&gt;&gt; may be used to obtain a reference to the underlying representation without changing the existing value:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">224</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3711a1bb7fd3e555" weblate-flags="read-only, safe-html, strict-same">
        <source>However, as shown above these functions throw an exception if the kind in the &lt;&lt;ref_value&gt;&gt; does not match the kind denoted by the function signature. This can be used as a concise form of validation: access values as if they were the right type, but handle the resulting exception indicating if the schema of the JSON is not valid.</source>
        <target state="translated">However, as shown above these functions throw an exception if the kind in the &lt;&lt;ref_value&gt;&gt; does not match the kind denoted by the function signature. This can be used as a concise form of validation: access values as if they were the right type, but handle the resulting exception indicating if the schema of the JSON is not valid.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">234</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="997abafce697d56b" weblate-flags="read-only, safe-html, strict-same">
        <source>We can query a value for its underlying representation of a particular kind in a way that does not throw exceptions by requesting a pointer which may be null, instead of a reference. Here we use &lt;&lt;ref_value_if_string,`value::if_string`&gt;&gt; to conditionally perform an assignment without using exceptions:</source>
        <target state="translated">We can query a value for its underlying representation of a particular kind in a way that does not throw exceptions by requesting a pointer which may be null, instead of a reference. Here we use &lt;&lt;ref_value_if_string,`value::if_string`&gt;&gt; to conditionally perform an assignment without using exceptions:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">240</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fd2b7afa122846bf" weblate-flags="read-only, safe-html, strict-same">
        <source>Functions returning {ref_result} allow you to use both approaches:</source>
        <target state="translated">Functions returning {ref_result} allow you to use both approaches:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">263</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="read-only, safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">Formatted Output</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">270</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="92a085e37545c9c2" weblate-flags="read-only, safe-html, strict-same">
        <source>When a &lt;&lt;ref_value&gt;&gt; is formatted to a {std_ostream}, the result is serialized JSON as if by calling &lt;&lt;ref_serialize&gt;&gt;.</source>
        <target state="translated">When a &lt;&lt;ref_value&gt;&gt; is formatted to a {std_ostream}, the result is serialized JSON as if by calling &lt;&lt;ref_serialize&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">271</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
